#include <Trade/Trade.mqh>

CTrade trade;

int OnInit(){
   return(INIT_SUCCEEDED);
  }

void OnDeinit(const int reason){
  }

void OnTick(){

   double Ask = NormalizeDouble(SymbolInfoDouble(_Symbol,SYMBOL_ASK),_Digits);
   double Bid = NormalizeDouble(SymbolInfoDouble(_Symbol,SYMBOL_BID),_Digits);
   
   string signal ="";
      
   MqlRates PriceInformation[];
   ArraySetAsSeries(PriceInformation,true);
   int Data = CopyRates(Symbol(),Period(),1,Bars(Symbol(),Period()),PriceInformation);
   
   
   double open_Price = PriceInformation[0].open;
   double close_Price = PriceInformation[0].close;
   
   if(Bid > close_Price){
      signal = "buy";
   }
   
   if(Bid <= close_Price){
      signal = "sell";
   }
   
   if(signal == "buy" && PositionsTotal() > 0)
   CloseAllSellPositionsThisPair();
   
   if (signal == "sell" && PositionsTotal() == 0)
   trade.Sell(0.03,_Symbol,Bid,NULL,NULL,NULL);

}
void CloseAllSellPositionsThisPair(){
   for(int i = PositionsTotal()-1; i >= 0; i--){
      int ticket = (int)PositionGetTicket(i);
      string CurrencyPair = PositionGetSymbol(i);
      
      int PositionDirection = (int)PositionGetInteger(POSITION_TYPE);
      
      if(PositionDirection == POSITION_TYPE_SELL)
      
      if(_Symbol == CurrencyPair){
         trade.PositionClose(ticket);
      }
      
      if(_Symbol == CurrencyPair){
      }
   }
}